Subject: Re: bug#28550: 25.2; Hydra: First example hydra in the docs doesn't work

From: Michael Heerdegen <[email-masked]>
Date: Sat, 23 Sep 2017 18:19:58 +0200

Oleh Krehel <[email-masked]> writes:

> Please try to reproduce with my steps (especially emacs -Q and
> remove/reinstall). There's likely no reason for this code to stop
> working other than byte-compilation or config bug: it's worked fine
> for 2 months without anyone else complaining.

I reproduced this with a newly created user on my Debian computer where
I installed hydra from Gnu Elpa, loaded the files, and tried the recipe.

As far as I understand the definition of `defhydra', the example won't
do what the OP expects unless you additionally eval

  (global-set-key [f2] 'hydra-zoom/body)

Without that, the hydra hinting kicks in only after you have hit another
hydra key after hitting the prefix key.

Michael.